有没有办法使用python 3.x访问协议缓冲区?

我们在我们的项目中使用Python 3.x。但是Protocol Buffers的官方客户端只支持python 2.x.

我不想降级到python 2.x.

更新:protobuf的稳定版本2.6.1不支持Python 3.x.然而,较新的3.0.0版本(仍处于测试阶段)支持Python 3.x。您可以在这里查看PyPi上发布的版本:
https://pypi.python.org/pypi/protobuf

不,没有。有一个关于Python 3.X支持的discussion on the protobuf google group。这表明Google希望继续支持Python 2.4,因此移植到Python 3.X并不容易。如果项目分支或者可以放弃对Python 2.4和2.5的支持,这将是一个很容易的端口。

http://stackoverflow.com/questions/8663468/is-there-any-way-to-access-protocol-buffers-with-python-3-x

本站文章除注明转载外,均为本站原创或编译
转载请明显位置注明出处:有没有办法使用python 3.x访问协议缓冲区?